# Installation

Change the framework in your `sconfig.lua` 'vorp'/'rsg'/'custom'

***

Import SQL:

```sql
CREATE TABLE IF NOT EXISTS `xpsystem` (
  `name` varchar(50) NOT NULL,
  `type` varchar(50) NOT NULL,
  `xp` int(11) NOT NULL DEFAULT 0,
  `level` int(11) NOT NULL DEFAULT 1,
  PRIMARY KEY (`name`,`type`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci ROW_FORMAT=DYNAMIC;

INSERT IGNORE INTO `xpsystem` (`name`, `type`, `xp`, `level`) VALUES
	('init', 'initialize', 0, 1);
```

***

### Usable Item:

### RSG

You will also need to add the XP book in your **RSG-Core/shared/items.lua** file:

```lua
xpbook = { 
    name = 'xpbook', 
    label = 'Experience Book', 
    weight = 100, 
    type = 'item',  
    image = 'book.png', 
    unique = true,  
    useable = true, 
    shouldClose = true, 
    description = 'An Experience log book'
}
```

### VORP

You can find this in `vorpitem.sql`&#x20;

```sql
INSERT INTO items
(`item`, `label`, `limit`, `can_remove`, `type`, `usable`, `groupId`, `metadata`, `desc`, `degradation`, `weight`)
VALUES 
('xpbook', 'Experience Book', '10', '1', 'item_standard', '1', '1', '{}', 'A jack of all trades is a master of none, but often times better than a master of one..', '0', '0.25');
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infinitypulse.dev/redm/xp-system/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
